#99 PACKAGE_luci-app-wifischedule build failure (LTS)

Open
opened 1 month ago by pi31415 · 8 comments
pi31415 commented 1 month ago

Hello, I tried to build commit 8e1abfa, trying to include PACKAGE_luci-app-wifischedule. Build fails with error message that build system could not meet the dependency requirements. menuconfig shows four dependencies, and all appear to be fine, except PACKAGE_wifischedule, which is listed as type unknown.

Some screenshots are attached. I based my build initially on a .config file I put together for 1.4.5, if that makes a difference.

Hello, I tried to build commit 8e1abfa, trying to include PACKAGE_luci-app-wifischedule. Build fails with error message that build system could not meet the dependency requirements. menuconfig shows four dependencies, and all appear to be fine, except PACKAGE_wifischedule, which is listed as type unknown. Some screenshots are attached. I based my build initially on a .config file I put together for 1.4.5, if that makes a difference.
RISCI_ATOM commented 1 month ago
Collaborator

I added the wifischedule to the package feed.

Run ./scripts/feeds update && ./feeds install -a and then make menuconfig in the $LIBRECMC_SRC root.

I added the `wifischedule` to the package feed. Run `./scripts/feeds update && ./feeds install -a` and then `make menuconfig` in the `$LIBRECMC_SRC` root.
pi31415 commented 1 month ago
Poster

I saw package get added when I ran feed update command as instructed, but am still seeing the same error when attempting to build. Maybe issue with contaminated root or config file...? Am now attempting to rebuild source with fresh source root.

I saw package get added when I ran feed update command as instructed, but am still seeing the same error when attempting to build. Maybe issue with contaminated root or config file...? Am now attempting to rebuild source with fresh source root.
RISCI_ATOM commented 1 month ago
Collaborator

Did you make sure that wifischedule was selected under Network-> Wireless -> wifischedule in make menuconfig ?

If there is still an issue run :

make package/wifischedule/install V=s

and then try to run the build again.

Did you make sure that `wifischedule` was selected under Network-> Wireless -> wifischedule in `make menuconfig` ? If there is still an issue run : `make package/wifischedule/install V=s` and then try to run the build again.
pi31415 commented 1 month ago
Poster

With the a fresh config file, I am now seeing wifischedule show up properly in menuconfig, and it is selectable. So, I think this is fixed now. I am going to do a full build here shortly, but need to reselect all my config preferences so this might take a day or two.

With the a fresh config file, I am now seeing wifischedule show up properly in menuconfig, and it is selectable. So, I think this is fixed now. I am going to do a full build here shortly, but need to reselect all my config preferences so this might take a day or two.
pi31415 commented 1 month ago
Poster

Side note: is there a reason the luci app is in base, but the dependency is in the package feed?

Side note: is there a reason the luci app is in base, but the dependency is in the package feed?
RISCI_ATOM commented 1 month ago
Collaborator

Side note: is there a reason the luci app is in base, but the dependency is in the package feed?

It's because upstream does that. At the time, I did not spend the effort to split components out of luci, but I may do so before v1.5.x is finalized.

> Side note: is there a reason the luci app is in base, but the dependency is in the package feed? It's because upstream does that. At the time, I did not spend the effort to split components out of luci, but I may do so before v1.5.x is finalized.
RISCI_ATOM commented 2 weeks ago
Collaborator

Is there any updates on this issue?

Is there any updates on this issue?
pi31415 commented 2 weeks ago
Poster

Hi, I do not seem to be having any trouble building this component now. I was going to close the case, but am still having a build issue which I am troubleshooting and wasn't sure yet if it is related.

Hi, I do not seem to be having any trouble building this component now. I was going to close the case, but am still having a build issue which I am troubleshooting and wasn't sure yet if it is related.
Sign in to join this conversation.
Loading...
Cancel
Save
There is no content yet.